# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/MersenneTwister.hpp File Reference

`#include <iostream>`
`#include <climits>`
`#include <cstdio>`
`#include <ctime>`
`#include <cmath>`
`#include <vlCore/Object.hpp>`

Go to the source code of this file.

## Classes

class | vl::MersenneTwister

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT MersenneTwister * | vl::defMersenneTwister ()
VLCORE_EXPORT void | vl::setDefMersenneTwister (MersenneTwister *)
std::ostream & | vl::operator<< (std::ostream &os, const MersenneTwister &mtrand)
std::istream & | vl::operator>> (std::istream &is, MersenneTwister &mtrand)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.